For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get service type

Get a service type by ID.

Required permissions: SERVICE_ORDER

get
/tenants/{tenantUid}/serviceorders/types/{serviceTypeUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
serviceTypeUidstringRequired

Reference to a service type

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
serviceTypeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
deprecatedbooleanRequired
get/tenants/{tenantUid}/serviceorders/types/{serviceTypeUid}
GET /v2/tenants/{tenantUid}/serviceorders/types/{serviceTypeUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "serviceTypeUid": "text",
  "tenantUid": "text",
  "serviceStatuses": [
    {
      "serviceStatusUid": "text",
      "serviceStatusName": "text",
      "position": 1,
      "state": "NOT_STARTED"
    }
  ],
  "name": "text",
  "deprecated": true
}

Last updated

Was this helpful?